//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

namespace CommonHelpers {

//**************************************************************************************************
partial class HConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public void PrintHeader(string caption)
{
   PrintHeaderFooter(HeaderFooterType.Normal,false,false,false,caption);
}

public void PrintHeader(string captionFmt,params object[] parameters)
{
   PrintHeaderFooter(HeaderFooterType.Normal,false,false,false,captionFmt,parameters);
}

//--------------------------------------------------------------------------------------------------

public void PrintHeader(bool insertPrecedingBlankLine,string caption)
{
   PrintHeaderFooter( HeaderFooterType.Normal, false,
      insertPrecedingBlankLine, false,
      caption );
}

public void PrintHeader( bool insertPrecedingBlankLine,
                         string captionFmt,
                         params object[] parameters )
{
   PrintHeaderFooter( HeaderFooterType.Normal, false,
      insertPrecedingBlankLine, false,
      captionFmt, parameters );
}

public void PrintHeader( bool insertPrecedingBlankLine,
                         bool insertPosteriorBlankLine,
                         string caption )
{
   PrintHeaderFooter( HeaderFooterType.Normal, false,
      insertPrecedingBlankLine, insertPosteriorBlankLine,
      caption );
}

public void PrintHeader( bool insertPrecedingBlankLine,
                         bool insertPosteriorBlankLine,
                         string captionFmt,
                         params object[] parameters )
{
   PrintHeaderFooter( HeaderFooterType.Normal, false,
      insertPrecedingBlankLine, insertPosteriorBlankLine,
      captionFmt, parameters );
}

//==================================================================================================

public void PrintShallowHeader(string caption)
{
   PrintHeaderFooter(HeaderFooterType.Shallow,false,false,false,caption);
}

public void PrintShallowHeader(string captionFmt,params object[] parameters)
{
   PrintHeaderFooter(HeaderFooterType.Shallow,false,false,false,captionFmt,parameters);
}

//--------------------------------------------------------------------------------------------------

public void PrintShallowHeader(bool insertPrecedingBlankLine,string caption)
{
   PrintHeaderFooter( HeaderFooterType.Shallow, false,
      insertPrecedingBlankLine, false,
      caption );
}

public void PrintShallowHeader( bool insertPrecedingBlankLine,
                                string captionFmt,
                                params object[] parameters )
{
   PrintHeaderFooter( HeaderFooterType.Shallow, false,
      insertPrecedingBlankLine, false,
      captionFmt, parameters );
}

public void PrintShallowHeader( bool insertPrecedingBlankLine,
                                bool insertPosteriorBlankLine,
                                string caption )
{
   PrintHeaderFooter( HeaderFooterType.Shallow, false,
      insertPrecedingBlankLine, insertPosteriorBlankLine,
      caption );
}

public void PrintShallowHeader( bool insertPrecedingBlankLine,
                                bool insertPosteriorBlankLine,
                                string captionFmt,
                                params object[] parameters )
{
   PrintHeaderFooter( HeaderFooterType.Shallow, false,
      insertPrecedingBlankLine, insertPosteriorBlankLine,
      captionFmt, parameters );
}

//==================================================================================================

public void PrintTitleHeader(string caption)
{
   PrintHeaderFooter(HeaderFooterType.Title,false,false,false,caption);
}

public void PrintTitleHeader(string captionFmt,params object[] parameters)
{
   PrintHeaderFooter(HeaderFooterType.Title,false,false,false,captionFmt,parameters);
}

//--------------------------------------------------------------------------------------------------

public void PrintTitleHeader(bool insertPrecedingBlankLine,string caption)
{
   PrintHeaderFooter( HeaderFooterType.Title, false,
      insertPrecedingBlankLine, false,
      caption );
}

public void PrintTitleHeader( bool insertPrecedingBlankLine,
                              string captionFmt,
                              params object[] parameters )
{
   PrintHeaderFooter( HeaderFooterType.Title, false,
      insertPrecedingBlankLine, false,
      captionFmt, parameters );
}

public void PrintTitleHeader( bool insertPrecedingBlankLine,
                              bool insertPosteriorBlankLine,
                              string caption )
{
   PrintHeaderFooter( HeaderFooterType.Title, false,
      insertPrecedingBlankLine, insertPosteriorBlankLine,
      caption );
}

public void PrintTitleHeader( bool insertPrecedingBlankLine,
                              bool insertPosteriorBlankLine,
                              string captionFmt,
                              params object[] parameters )
{
   PrintHeaderFooter( HeaderFooterType.Title, false,
      insertPrecedingBlankLine, insertPosteriorBlankLine,
      captionFmt, parameters );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HConsole
//**************************************************************************************************

} // CommonHelpers
